{ pkgs, rice, ... }:
{
  home.packages = with pkgs; [ libnotify ];
  services.mako = with rice; {
    enable = true;
    settings = {
      defaultTimeout = 10000; # in ms
      backgroundColor = color.background;
      textColor = color.foreground;
      borderColor = color.border;
      borderSize = border-width;
      font = font.code.name;
      borderRadius = rounding;
      anchor = "top-right";
      margin = builtins.toString (gap-size * 2) ;
    };
  };
}
